## OrcProgram OrcProgram — Creating and manipulating Orc programs |

## Functions

#define | ORC_PROGRAM_ERROR()

## Types and Values

struct | OrcProgram
#define | ORC_N_CONSTANTS
#define | ORC_N_RULE_SETS
#define | ORC_N_TARGETS

## Description

## Functions

### ORC_PROGRAM_ERROR()

    #define             ORC_PROGRAM_ERROR(program, ...)

## Types and Values

### struct OrcProgram

    struct OrcProgram {
    };

The OrcProgram structure has no public members

### ORC_N_CONSTANTS

    #define ORC_N_CONSTANTS 20

### ORC_N_RULE_SETS

    #define ORC_N_RULE_SETS 10

### ORC_N_TARGETS

    #define ORC_N_TARGETS 10